public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: cvsdist <cvsdist@fedoraproject.org>
To: git-commits@fedoraproject.org
Subject: [rpms/inn] epel10: auto-import changelog data from inn-2.3.2-11.src.rpm
Date: Wed, 26 Aug 2026 08:05:32 GMT	[thread overview]
Message-ID: <178773153279.1.396142270831576314.rpms-inn-41a618a73103@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : rpms/inn
            Branch : epel10
            Commit : 41a618a73103debc9ae46ba243a8ef34552b54ac
            Author : cvsdist <cvsdist@fedoraproject.org>
            Date   : 2004-09-09T06:16:45+00:00
            Stats  : +48/-11 in 5 file(s)
            URL    : https://src.fedoraproject.org/rpms/inn/c/41a618a73103debc9ae46ba243a8ef34552b54ac?branch=epel10

            Log:
            auto-import changelog data from inn-2.3.2-11.src.rpm
Mon Apr 08 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- startup and cron scripts unset LANG and LC_COLLATE to make inn more
    robust (#60770)
- really link against db3
- inews requires inn #59852
Thu Feb 28 2002 Elliot Lee <sopwith@redhat.com> 2.3.2-10
- Change db4-devel requirement to db3-devel.
- Use _smp_mflags
Thu Jan 31 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix #59123
Wed Jan 30 2002 Jeff Johnson <jbj@redhat.com>
- white out bogus perl requirement for now.
- don't include <db1/ndbm.h> to avoid linking with -ldb1.
Sat Jan 26 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- change to db4
Sun Jan 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- allow rebuilding by not using newer autoconf, adjust inn patches

---
diff --git a/inn-cron-expire b/inn-cron-expire
index cc8cfa8..7e72e74 100644
--- a/inn-cron-expire
+++ b/inn-cron-expire
@@ -1,2 +1,3 @@
 #!/bin/sh
-/sbin/chkconfig innd && su - news -c "/usr/bin/news.daily delayrm"
+/sbin/chkconfig innd || exit 0
+su - news -c "unset LANG; unset LC_COLLATE; /usr/bin/news.daily delayrm"

diff --git a/inn-cron-nntpsend b/inn-cron-nntpsend
index 50b3016..ec82c99 100755
--- a/inn-cron-nntpsend
+++ b/inn-cron-nntpsend
@@ -1,2 +1,3 @@
 #!/bin/sh
-/sbin/chkconfig innd && su - news -c /usr/bin/nntpsend
+/sbin/chkconfig innd || exit 0
+su - news -c "unset LANG; unset LC_COLLATE; /usr/bin/nntpsend"

diff --git a/inn-cron-rnews b/inn-cron-rnews
index 1700103..e0dc840 100644
--- a/inn-cron-rnews
+++ b/inn-cron-rnews
@@ -1,3 +1,3 @@
 #!/bin/sh
-
-/sbin/chkconfig innd && su - news -c '/usr/bin/rnews -U'
+/sbin/chkconfig innd || exit 0
+su - news -c 'unset LANG; unset LC_COLLATE; /usr/bin/rnews -U'

diff --git a/inn.spec b/inn.spec
index b910313..342152a 100644
--- a/inn.spec
+++ b/inn.spec
@@ -1,7 +1,7 @@
 Summary: The InterNetNews (INN) system, an Usenet news server.
 Name: inn
 Version: 2.3.2
-Release: 5
+Release: 11
 Copyright: GPL
 Group: System Environment/Daemons
 Source0: ftp://ftp.isc.org/isc/inn/inn-%{version}.tar.gz
@@ -12,11 +12,15 @@ Source7: inn-cron-nntpsend
 Source8: innd.init
 Source10: inn-faq.tar.gz
 Patch: inn-2.3.1-rh.patch
-Buildroot: %{_tmppath}/%{name}-root
+BuildRequires: db3-devel
 Prereq: /sbin/chkconfig, grep, textutils, sed, fileutils, sh-utils
-BuildPreReq: db1-devel
 Requires: cleanfeed, bash >= 2.0
 
+# XXX white out bogus perl requirement for now
+Provides: perl(::usr/lib/innshellvars.pl)
+
+Buildroot: %{_tmppath}/%{name}-root
+
 %description
 INN (InterNetNews) is a complete system for serving Usenet news and/or
 private newsfeeds.  INN includes innd, an NNTP (NetNews Transport
@@ -45,6 +49,7 @@ system, you should install inn-devel.
 %package -n inews
 Summary: Sends Usenet articles to a local news server for distribution.
 Group: System Environment/Daemons
+Requires: inn
 
 %description -n inews
 The inews program is used by some news programs (for example, inn and
@@ -61,10 +66,8 @@ local news servers.
 %patch -p1 -b .rh
 
 %build
-rm -f config.cache
-libtoolize --copy --force
-autoconf
-export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/db1"
+#libtoolize --copy --force
+#autoreconf
 with_tmp_path=/var/lib/news/tmp ./configure --prefix=/usr  \
 	--sysconfdir=/etc/news --mandir=%{_mandir} \
 	--with-log-dir=/var/log/news --with-spool-dir=/var/spool/news\
@@ -73,7 +76,12 @@ with_tmp_path=/var/lib/news/tmp ./configure --prefix=/usr  \
 	--with-perl --enable-shared --enable-uucp-rnews \
 	--enable-pgp-verify --with-sendmail=/usr/sbin/sendmail \
 	--with-news-user=news --with-news-group=news --with-news-master=news
+
+# XXX don't include <db1/ndbm.h> to avoid linking with -ldb1.
+perl -pi -e 's/HAVE_DB1_NDBM_H/XXX_HAVE_DB1_NDBM_H/' ./include/config.h
+
 make
+# DBMLIB="" %{?_smp_mflags}
 
 %install
 rm -rf $RPM_BUILD_ROOT
@@ -222,6 +230,29 @@ exit 0
 %{_mandir}/man1/inews*
 
 %changelog
+* Mon Apr 08 2002 Florian La Roche <Florian.LaRoche@redhat.de>
+- startup and cron scripts unset LANG and LC_COLLATE to make
+  inn more robust   (#60770)
+- really link against db3
+- inews requires inn #59852
+
+* Thu Feb 28 2002 Elliot Lee <sopwith@redhat.com> 2.3.2-10
+- Change db4-devel requirement to db3-devel.
+- Use _smp_mflags
+
+* Thu Jan 31 2002 Florian La Roche <Florian.LaRoche@redhat.de>
+- fix #59123
+
+* Wed Jan 30 2002 Jeff Johnson <jbj@redhat.com>
+- white out bogus perl requirement for now.
+- don't include <db1/ndbm.h> to avoid linking with -ldb1.
+
+* Sat Jan 26 2002 Florian La Roche <Florian.LaRoche@redhat.de>
+- change to db4
+
+* Sun Jan 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
+- allow rebuilding by not using newer autoconf, adjust inn patches
+
 * Tue Jul 24 2001 Tim Powers <timp@redhat.com>
 - make inews owned by root, not the build system
 

diff --git a/innd.init b/innd.init
index 5762fb1..43e8f73 100644
--- a/innd.init
+++ b/innd.init
@@ -31,6 +31,9 @@ RETVAL=0
 
 start() {
 	echo -n $"Starting INND system: "
+	# INN uses too many un-checked shell scripts
+	unset LANG
+	unset LC_COLLATE
         daemon --user news /etc/rc.news
         RETVAL=$?
         [ $RETVAL -eq 0 ] && touch /var/lock/subsys/innd
@@ -90,6 +93,7 @@ case "$1" in
 	;;
   status)
 	status innd
+        RETVAL=$?
 	;;
   reload)
 	#XXX fixme, not working

                 reply	other threads:[~2026-08-26  8:05 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178773153279.1.396142270831576314.rpms-inn-41a618a73103@fedoraproject.org \
    --to=cvsdist@fedoraproject.org \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox